io.vertx.sqlclient.spi

## Interface Driver

- All Known Implementing Classes:
    DB2Driver, MySQLDriver, PgDriver

      public interface Driver

  An entry point to the Vertx Reactive SQL Client Every driver must implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsOptions(SqlConnectOptions connectOptions)`
    `default Pool` | `createPool(SqlConnectOptions connectOptions)` Create a connection pool to the database configured with the given `connectOptions` and default `PoolOptions`
    `Pool` | `createPool(SqlConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `Pool` | `createPool(Vertx vertx, SqlConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.

- - ### Method Detail

    - #### createPool

          default Pool createPool(SqlConnectOptions connectOptions)

      Create a connection pool to the database configured with the given `connectOptions` and default `PoolOptions`
      Parameters:
        `connectOptions` - the options used to create the connection pool, such as database hostname
      Returns:
        the connection pool

    - #### createPool

          Pool createPool(SqlConnectOptions connectOptions,
                          PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options used to create the connection pool, such as database hostname
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### createPool

          Pool createPool(Vertx vertx,
                          SqlConnectOptions connectOptions,
                          PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `vertx` - the Vertx instance to be used with the connection pool
        `connectOptions` - the options used to create the connection pool, such as database hostname
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### acceptsOptions

          boolean acceptsOptions(SqlConnectOptions connectOptions)

      Returns:
        true if the driver accepts the `connectOptions`, false otherwise

Copyright © 2021 Eclipse. All rights reserved.